libcamera v0.3.2 Supporting cameras in Linux since 2019

Loading...
Searching...
No Matches
Classes | Namespaces | Macros
camera_sensor_helper.h File Reference

Helper class that performs sensor-specific parameter computations. More...

`#include <memory>`
`#include <optional>`
`#include <stdint.h>`
`#include <string>`
`#include <vector>`
`#include <libcamera/base/class.h>`
Include dependency graph for camera_sensor_helper.h:

Go to the source code of this file.

## Classes
class | libcamera::ipa::CameraSensorHelper
| Base class for computing sensor tuning parameters using sensor-specific constants. More...
struct | libcamera::ipa::CameraSensorHelper::AnalogueGainLinearConstants
| Analogue gain constants for the linear gain model. More...
struct | libcamera::ipa::CameraSensorHelper::AnalogueGainExpConstants
| Analogue gain constants for the exponential gain model. More...
struct | libcamera::ipa::CameraSensorHelper::AnalogueGainConstants
| Analogue gain model constants. More...
class | libcamera::ipa::CameraSensorHelperFactoryBase
| Base class for camera sensor helper factories. More...
class | libcamera::ipa::CameraSensorHelperFactory< _Helper >
| Registration of CameraSensorHelperFactory classes and creation of instances. More...

## Namespaces
namespace | libcamera
| Top-level libcamera namespace.
namespace | libcamera::ipa
| The IPA (Image Processing Algorithm) namespace.

## Macros
#define | REGISTER_CAMERA_SENSOR_HELPER(name, helper)
| Register a camera sensor helper with the camera sensor helper factory.

## Detailed Description

Helper class that performs sensor-specific parameter computations.

Computation of sensor configuration parameters is a sensor specific operation. Each CameraHelper derived class computes the value of configuration parameters, for example the analogue gain value, using sensor-specific functions and constants.

Every subclass of CameraSensorHelper shall be registered with libipa using the REGISTER_CAMERA_SENSOR_HELPER() macro.

## Macro Definition Documentation

## ◆ REGISTER_CAMERA_SENSOR_HELPER

#define REGISTER_CAMERA_SENSOR_HELPER | ( |  | name,
|  |  | helper )

Value:
static CameraSensorHelperFactory<helper> global_##helper##Factory(name);

Register a camera sensor helper with the camera sensor helper factory.

Parameters

  [in] | name | Sensor model name used to register the class
  [in] | helper | Class name of CameraSensorHelper derived class to register

Register a CameraSensorHelper subclass with the factory and make it available to try and match sensors.